Tool: list_audit_reports
Lists the audit reports for the specified parent scope. Format: 'projects/{project}/locations/{location}'. CRITICAL: For {location}, use the location specified by the user. If no location is specified, prompt the user to provide one. Do not use 'global'. The location must match the chosen Regional Endpoint (REP) region (e.g., us-central1). * Filter or review the returned list of audit reports as needed based on the user's request.
The following code sample shows how to use curl to call the list_audit_reports MCP tool.
| Curl Request |
|---|
curl --location 'https://auditmanager.us-central1.rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_audit_reports", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListAuditReports.
ListAuditReportsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
parent |
Required. Parent organization, folder, or project to list reports for, in one of the following formats:
|
pageSize |
Optional. Maximum number of items to return in a single page. The service might return fewer items than this value. If unspecified, the service picks an appropriate default. The maximum value is 100; values above 100 are reduced to 100. |
pageToken |
Optional. A page token, received from a previous call, to retrieve the next page of results. |
Output Schema
Response message for ListAuditReports.
ListAuditReportsResponse
| JSON representation |
|---|
{
"auditReports": [
{
object ( |
| Fields | |
|---|---|
auditReports[] |
Output only. Audit reports. |
nextPageToken |
Output only. A token that you can send as the |
AuditReport
| JSON representation |
|---|
{ "name": string, "reportSummary": { object ( |
| Fields | |
|---|---|
name |
Identifier. Name of the audit report, in one of the following formats:
|
reportSummary |
Output only. Report summary that includes information about compliance and violation counts. |
operationId |
Output only. Client operation ID for the audit report. |
destinationDetails |
Output only. Cloud Storage bucket where the audit report is uploaded to. |
complianceStandard |
Output only. Deprecated. Compliance standard to be audited against. Use the |
scope |
Output only. Organization, folder, or project that the report is generated for, in one of the following formats:
|
createTime |
Output only. Creation time of the audit report. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
controlDetails[] |
Output only. Overall status of the controls. |
reportGenerationState |
Output only. State of audit report generation. |
complianceFramework |
Output only. Compliance framework to use for the audit report. For example, |
scopeId |
Output only. Project number, folder ID, or organization ID that the audit report was generated for. |
ReportSummary
| JSON representation |
|---|
{ "totalCount": integer, "compliantCount": integer, "violationCount": integer, "manualReviewNeededCount": integer, "errorCount": integer } |
| Fields | |
|---|---|
totalCount |
Total number of evaluated checks. |
compliantCount |
Number of compliant checks. |
violationCount |
Number of checks with violations. |
manualReviewNeededCount |
Number of checks that require a manual review. |
errorCount |
Number of checks that can't be performed due to errors. |
DestinationDetails
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field destination. The specific destination where the audit report and evidence are stored. destination can be only one of the following: |
|
gcsBucketUri |
URI for the Cloud Storage bucket, in the format |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
ControlDetails
| JSON representation |
|---|
{ "control": { object ( |
| Fields | |
|---|---|
control |
Control that the findings are being reported for. |
complianceState |
Output only. Overall status of the findings for the control. |
controlReportSummary |
A control report summary that provides a high-level overview of the compliance controls and the assessment status. |
Control
| JSON representation |
|---|
{ "id": string, "displayName": string, "family": enum ( |
| Fields | |
|---|---|
id |
Output only. Control identifier that's used to fetch the findings. The identifier is the same as the control report name. |
displayName |
Output only. Display name of the control. |
family |
Output only. Category that the control belongs to. |
controlFamily |
Output only. Regulatory family of the control. |
description |
Output only. Description of the control. |
responsibilityType |
Output only. Who is responsible for implementing this control. Set to one of the following values: |
googleResponsibilityDescription |
Output only. A description of Google's responsibility for this control. |
googleResponsibilityImplementation |
Output only. A description of how Google implements its responsibility for this control. |
customerResponsibilityDescription |
Output only. A description of your responsibility for this control. |
customerResponsibilityImplementation |
Output only. A description of how you can implement your responsibility for this control. |
ControlFamily
| JSON representation |
|---|
{ "familyId": string, "displayName": string } |
| Fields | |
|---|---|
familyId |
ID of the regulatory control family. To find the list of supported control families, use the |
displayName |
Display name of the regulatory control family. |
Family
Category of the control.
| Enums | |
|---|---|
FAMILY_UNSPECIFIED |
Default value. This value is unused. |
AC |
Access control. |
AT |
Awareness and training. |
AU |
Audit and accountability. |
CA |
Certification, accreditation and security assessments. |
CM |
Configuration management and change control. |
CP |
Contingency planning and disaster recovery. |
IA |
Identification and authentication. |
IR |
Incident response. |
MA |
Maintenance. |
MP |
Media protection. |
PE |
Physical and environmental protection. |
PL |
Security planning. |
PS |
Personnel security. |
RA |
Risk assessment. |
SA |
System services and acquisition. |
SC |
System and communications protection. |
SI |
System and information integrity. |
SR |
Supply chain risk management. |
ComplianceState
Compliance state after evaluation.
| Enums | |
|---|---|
COMPLIANCE_STATE_UNSPECIFIED |
Default value. This value is unused. |
COMPLIANT |
The resource is compliant. |
VIOLATION |
The resource isn't compliant. |
MANUAL_REVIEW_NEEDED |
You must complete a manual review. |
ERROR |
An error was encountered during the evaluation or evidence gathering process. |
AUDIT_NOT_SUPPORTED |
The resource can't be audited. |
ReportGenerationState
Different states of report generation.
| Enums | |
|---|---|
REPORT_GENERATION_STATE_UNSPECIFIED |
Default value. This value is unused. |
IN_PROGRESS |
The process is in progress. The operation can have any state except for OPERATION_STATE_DONE or OPERATION_STATE_FAILED. |
COMPLETED |
The process is completed. The operation state is OPERATION_STATE_DONE. |
FAILED |
The process has failed. The operation state is OPERATION_STATE_FAILED. |
SUMMARY_UNKNOWN |
The process completed, but the report summary's status is unknown. This state isn't used for new reports. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌